Subject: Re: 23.0.60; facemenu-add-face-function and TeX-mode

From: Chong Yidong <[email-masked]>
Date: Sat, 31 Oct 2009 17:55:34 -0400

> The following problem was initially described by Kostas Oikonomou on
> help-gnu-emacs.  To reproduce open an arbitrary buffer in TeX mode and
> turn off font-lock-mode.  Now select
>
>   Edit->Text Properties->Background Color->Other
>
> and at the prompt type
>
>   yellow RET
>
> Emacs responds with
>
>   (error "Face ((:background yellow)) not configured for LaTeX mode")

Sorry for the long delay.  I've just checked a fix into CVS trunk which
should ensure that (i) the Text Properties menus are enabled in TeX (and
SGML) modes, and (ii) make the foreground and background menu entries do
the right thing (it uses the LaTex commands from the "color" LaTex
package, which is assumed to be included).